> For the complete documentation index, see [llms.txt](https://docs.cedana.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cedana.ai/references/api/logs.md).

# Logs

Cedana API for logs

## GET /v2/logs/k8

> Get logs (K8s)

```json
{"openapi":"3.1.0","info":{"title":"Cedana API","version":"0.0.0-staging"},"tags":[{"name":"Logs","description":"Cedana API for logs"}],"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"http","scheme":"bearer"}},"schemas":{"PodLogList":{"type":"object","required":["pod_name","namespace"],"properties":{"logs":{"type":"array","items":{"$ref":"#/components/schemas/PodLogEntry"}},"namespace":{"type":"string"},"pod_name":{"type":"string"}}},"PodLogEntry":{"type":"object","required":["container_name","message","timestamp"],"properties":{"container_name":{"type":"string"},"message":{"type":"string"},"stream":{"type":["string","null"]},"timestamp":{"type":"integer","minimum":0}}},"ApiError":{"type":"object","description":"Standard error response for API endpoints","required":["message"],"properties":{"code":{"type":["string","null"],"description":"HTTP status code"},"details":{"description":"Optional additional error details"},"message":{"type":"string","description":"Error message describing what went wrong"}}}}},"paths":{"/v2/logs/k8":{"get":{"tags":["Logs"],"summary":"Get logs (K8s)","operationId":"get_k8_logs","parameters":[{"name":"pod","in":"query","required":false,"schema":{"type":["string","null"]}},{"name":"limit","in":"query","required":false,"schema":{"type":["integer","null"],"format":"int64"}}],"responses":{"200":{"description":"Returns k8 pod logs from duckdb","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PodLogList"}}}}},"500":{"description":"Failed to connect/fetch from logs table from database","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```
